"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logout = void 0;
const command_1 = require("@oclif/command");
const chalk = require("chalk");
const open = require("open");
const pingServer_1 = require("../utils/pingServer");
const TokenConfig_1 = require("../utils/TokenConfig");
class Logout extends command_1.default {
    async init() {
        if (!(await pingServer_1.default())) {
            this.warn("We are having some server issues! Just hold on!");
            this.exit(0);
        }
    }
    async run() {
        try {
            // call logout api
            open(`https://sahilpabale.us.auth0.com/v2/logout?client_id=lkQ1zyXdfFwI8019STfP259Jb37IoaI7`);
            // remove token
            new TokenConfig_1.default()
                .revokeToken(this.config.windows)
                .then(() => {
                this.log("\nTo use Noteli again run " + chalk.greenBright("$ noteli login"));
            })
                .catch((error) => {
                this.log(error);
            });
        }
        catch (error) {
            this.log(error);
        }
    }
}
exports.Logout = Logout;
Logout.description = `logout the user from noteli
Revokes the token and logs out user from system.`;
