"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Whoami = void 0;
const command_1 = require("@oclif/command");
const chalk = require("chalk");
const TokenConfig_1 = require("../utils/TokenConfig");
const cli_ux_1 = require("cli-ux");
const pingServer_1 = require("../utils/pingServer");
const tokenConfig = new TokenConfig_1.default();
class Whoami extends command_1.default {
    async init() {
        if (!(await pingServer_1.default())) {
            this.warn("We are having some server issues! Just hold on!");
            this.exit(0);
        }
    }
    async run() {
        try {
            tokenConfig
                .getToken(this.config.windows)
                .then(async (token) => {
                if (token == null) {
                    this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("$ noteli login")} to login.`);
                }
                else {
                    cli_ux_1.default.action.start(chalk.yellow("Fetching your account"), "loading");
                    tokenConfig
                        .getUser(token)
                        .then(async (user) => {
                        if (user != null) {
                            cli_ux_1.default.action.stop(`\nYou are logged in as ${chalk.greenBright(user.name + " - " + user.email)}`);
                        }
                        else {
                            cli_ux_1.default.action.stop(`${chalk.yellowBright("\nYou aren't authorized yet!")}\nJust use ${chalk.greenBright("$ noteli login")} to login.`);
                        }
                    })
                        .catch(async () => {
                        this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("$ noteli login")} to login.`);
                    });
                }
            })
                .catch(async () => {
                this.log(`${chalk.yellowBright("You aren't authorized yet!")}\nJust use ${chalk.greenBright("$ noteli login")} to login.`);
            });
        }
        catch (error) {
            this.log(error);
        }
    }
}
exports.Whoami = Whoami;
Whoami.description = `shows the current logged-in user
Checks for the token and verifies with Auth0 for authencticity.`;
